### Function

# GLib slice_alloc

since: 2.10

#### Declaration

    gpointer
    g_slice_alloc (
      gsize block_size
    )

#### Description

Allocates a block of memory from the libc allocator.

The block address handed out can be expected to be aligned to at least `1 * sizeof (void*)`.

Since GLib 2.76 this always uses the system `malloc()` implementation internally.

Available since: 2.10

#### Parameters

`block_size`

  Type: `gsize`

  The number of bytes to allocate.

#### Return value

Type: `gpointer`

A pointer to the allocated memory block, which will be `NULL` if and only if `mem_size` is 0.

The data is owned by the called function.
The return value can be `NULL`.